Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1103707 - application list database limit is too small (4000 chars)
Summary: application list database limit is too small (4000 chars)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Omer Frenkel
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On: 1103710
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-02 12:03 UTC by Michal Skrivanek
Modified: 2018-12-09 17:56 UTC (History)
13 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:03:02 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 28279 master MERGED core: fix app_list parameter to 'text' Never

Description Michal Skrivanek 2014-06-02 12:03:37 UTC
Description of problem:

stored procedure has a limit on 4000 characters for the app_list from guest agent. 
That's wrong!

Comment 1 Michal Skrivanek 2014-06-10 07:59:12 UTC
we figured out it's not really relevant, so it's just a "nice to have" patch

Comment 2 Omer Frenkel 2014-06-11 10:37:16 UTC
marking as code change, as this has no affect on the application, just db definitions

Comment 3 Pavel Novotny 2014-08-12 12:32:23 UTC
Verified upstream in ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch (rc1).

The `app_list` column in `vm_dynamic` table is now of type `text` and not `varchar(4000)`.


engine=> \d vm_dynamic 
                              Table "public.vm_dynamic"
         Column         |           Type           |            Modifiers            
------------------------+--------------------------+---------------------------------
 vm_guid                | uuid                     | not null
...
...
 app_list               | text                     |

Comment 5 errata-xmlrpc 2015-02-11 18:03:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.